#
# spec file for package cockpit-machines
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           cockpit-machines
Version:        249.1
Release:        150400.1.2
Summary:        Cockpit user interface for virtual machines
License:        LGPL-2.1-or-later AND MIT
URL:            https://github.com/cockpit-project/cockpit-machines
# source_validator insists that if obscpio has no version then
# tarball must neither
Source:         cockpit-machines.tar
Source10:       package-lock.json
Source11:       node_modules.spec.inc
%include %_sourcedir/node_modules.spec.inc
Patch0:         hide-docs.patch
BuildArch:      noarch
BuildRequires:  appstream-glib
BuildRequires:  make
Requires:       cockpit-bridge >= 215
%if 0%{?suse_version}
Requires:       libvirt-daemon-qemu
%else
Requires:       libvirt-daemon-kvm
%endif
Requires:       libvirt-client
Requires:       libvirt-dbus >= 1.2.0
Requires:       qemu-chardev-spice
Requires:       qemu-hw-display-qxl
Requires:       qemu-hw-usb-redirect
Requires:       virt-install
# Optional components
Recommends:     libosinfo
Recommends:     python3-gobject-base
#
BuildRequires:  cockpit-devel >= 243
BuildRequires:  local-npm-registry
BuildRequires:  sassc

%description
Cockpit component for managing virtual machines.

If "virt-install" is installed, you can also create new virtual machines.


%prep
%autosetup -p1 -n %{name}
rm -f package-lock.json
local-npm-registry %{_sourcedir} install --with=dev --legacy-peer-deps || ( find ~/.npm/_logs -name '*-debug.log' -print0 | xargs -0 cat; false)

%build
cp -r %{_datadir}/cockpit/devel/lib src/lib
NODE_ENV=production npm run build

%install
%make_install
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

%files
%doc README.md
%license LICENSE dist/index.js.LICENSE.txt.gz
%{_datadir}/cockpit
%{_datadir}/metainfo/*

%changelog
* Wed Aug 10 2022 jtomasiak@suse.com
- Require qemu USB drivers needed by virt-install (bsc#1202166)
* Mon Mar 14 2022 jtomasiak@suse.com
- Hide links pointing to RHEL docs, hide-docs.patch (bsc#1197003)
* Thu Mar 10 2022 jtomasiak@suse.com
- Require virt-install and qemu display drivers needed to start
  new VMs (bsc#1196971)
* Mon Jan 31 2022 jtomasiak@suse.com
- Remove translate-toolkit which is not available in SLE
* Fri Jan 28 2022 jtomasiak@suse.com
- Re-add source-offset to _service.
* Fri Aug 13 2021 lnussel@suse.de
- new version 249.1
  https://github.com/cockpit-project/cockpit-machines/releases/tag/249
* Sun Jun 27 2021 ecsos@opensuse.org
- Add source-offest to _service to fix build error in Leap 15.3.
* Mon May  3 2021 lnussel@suse.de
- initial package
